Package be.fgov.ehealth.dics.protocol.v5

# Class ConsultCommentedClassificationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v5.ConsultCommentedClassificationType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultCommentedClassificationTreeType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:51+02:00", comments="JAXB RI v4.0.5") public class ConsultCommentedClassificationType extends Object implements Serializable

Java class for ConsultCommentedClassificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCommentedClassificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
             <element name="Url" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultCommentedClassificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AdditionalFieldsType>`
  `getAdditionalFields()`
  Future Proof.
  `String`
  `getCode()`
  Gets the value of the code property.
  `ConsultTextType`
  `getContent()`
  Content of the referenced classification level.
  `Instant`
  `getEndDate()`
  Gets the value of the endDate property.
  `ConsultTextType`
  `getPosologyNote()`
  Any note about the posology for the referenced classification level.
  `Instant`
  `getStartDate()`
  Gets the value of the startDate property.
  `ConsultTextType`
  `getTitle()`
  Title of the referenced classification level.
  `ConsultTextType`
  `getUrl()`
  URL to relevant information from BCPI about the referenced classification level.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setContent(ConsultTextType value)`
  Sets the value of the content property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setPosologyNote(ConsultTextType value)`
  Sets the value of the posologyNote property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.
  `void`
  `setTitle(ConsultTextType value)`
  Sets the value of the title property.
  `void`
  `setUrl(ConsultTextType value)`
  Sets the value of the url property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultCommentedClassificationType

    public ConsultCommentedClassificationType()

- ## Method Details

  - ### getTitle

    public ConsultTextType getTitle()
    Title of the referenced classification level. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setTitle

    public void setTitle(ConsultTextType value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getTitle()`

  - ### getContent

    public ConsultTextType getContent()
    Content of the referenced classification level. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setContent

    public void setContent(ConsultTextType value)
    Sets the value of the content property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getContent()`

  - ### getPosologyNote

    public ConsultTextType getPosologyNote()
    Any note about the posology for the referenced classification level. This field is translated in French, Dutch, German and English. French and Dutch versions are mandatory and others are optional.
    Returns:
      possible object is `ConsultTextType`

  - ### setPosologyNote

    public void setPosologyNote(ConsultTextType value)
    Sets the value of the posologyNote property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getPosologyNote()`

  - ### getUrl

    public ConsultTextType getUrl()
    URL to relevant information from BCPI about the referenced classification level.
    Returns:
      possible object is `ConsultTextType`

  - ### setUrl

    public void setUrl(ConsultTextType value)
    Sets the value of the url property.
    Parameters:
      `value` - allowed object is `ConsultTextType`
    See Also:
      - `getUrl()`

  - ### getAdditionalFields

    public List<AdditionalFieldsType> getAdditionalFields()
    Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair. Gets the value of the additionalFields property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

    For example, to add a new item, do as follows:

         getAdditionalFields().add(newItem);

    Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    Returns:
      The value of the additionalFields property.

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getStartDate

    public Instant getStartDate()
    Gets the value of the startDate property.
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEndDate

    public Instant getEndDate()
    Gets the value of the endDate property.
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`